Bug 1313436 - Test suite failure: nptl/tst-cleanupx4
Test suite failure: nptl/tst-cleanupx4
Status: NEW
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: glibc team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-03-01 10:27 EST by Carlos O'Donell
Modified: 2017-02-28 04:55 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 72788 None None None 2016-08-03 11:10 EDT
Sourceware 18645 None None None 2016-08-03 11:09 EDT

  None (edit)
Description Carlos O'Donell 2016-03-01 10:27:19 EST
On i686 the cancellation test tst-cleanupx4 fails:

test 0
clh (1)
clh (2)
clh (3)
test 1
clh (1)
clh (4)
clh (5)
clh (6)
test 2
clh (7)
clh (8)
global = 64, expected 120
test 3
clh (1)
clh (2)
clh (9)
clh (10)

This could be due to the fact that our cancellation is not robust, or some other problem. Having just one test fail like this means we should keep an eye on this to see if it's reproducible.
Comment 1 Jan Kurik 2016-07-26 00:09:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 2 Fedora End Of Life 2017-02-28 04:55:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.